// Copyright 2025 Zentrum für Digitale Souveränität der Öffentlichen Verwaltung (ZenDiS) GmbH.
// SPDX-License-Identifier: MIT

import clsx, { ClassValue } from 'clsx'
import { twMerge } from 'tailwind-merge'

export function cn(...inputs: ClassValue[]) {
    return twMerge(clsx(inputs))
}

export interface CheckResult {
    repositoryUrl: string
    issueReactionTime: number
    id: number
    createdAt: string
    commits: number
    releases: number
    packages: number
    ciPipelineRuns: number
}
